%global owner michaeljones
%global srcname breathe

%bcond_with doc

Name:           python-%{srcname}
Version:        4.35.0
Release:        %mkrel 3
Summary:        Adds support for Doxygen xml output to reStructuredText and Sphinx
Group:          Development/Python
License:        BSD
URL:            https://github.com/michaeljones/breathe
Source0:        %{URL}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Patch0:         0001-rewrite-requirement-sphinx.patch

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  doxygen >= 1.8.4
BuildRequires:  python-srpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six >= 1.9
BuildRequires:  python3-sphinx >= 2.0
BuildRequires:  python3-docutils >= 0.12
BuildRequires:  python3-pytest
# NOTE: git is only needed because part of the build process checks if it's in
# a git repo
BuildRequires:  git

# Set the name of the documentation directory
%global _docdir_fmt %{name}

%description
Breathe is an extension to reStructuredText and Sphinx to be able to read and
render the Doxygen xml output.

%package -n     python3-%{srcname}
Summary:        Adds support for Doxygen xml output to reStructuredText and Sphinx
Group:          Development/Python
Requires:       python3-six
Requires:       doxygen >= 1.8.4
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Breathe is an extension to reStructuredText and Sphinx to be able to read and
render the Doxygen xml output.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%pyproject_wheel

%if %{with doc}
# Build the documentation
PYTHONPATH=$(pwd) make %{?_smp_mflags} DOXYGEN=$(which doxygen) html
# Remove temporary build files
rm documentation/build/html/.buildinfo
%endif

%install
%pyproject_install
%pyproject_save_files breathe

%check
#make dev-test

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%{_bindir}/breathe-apidoc
%license LICENSE
%if %{with doc}
%doc documentation/build/html
%endif


%changelog
* Mon Dec 18 2023 tv <tv> 4.35.0-3.mga10
+ Revision: 2018776
- Rebuild for python 3.?12

* Wed Oct 18 2023 papoteur <papoteur> 4.35.0-2.mga10
+ Revision: 1998550
- fix requirement on sphinx

* Mon Oct 16 2023 papoteur <papoteur> 4.35.0-1.mga10
+ Revision: 1997452
- new 4.35.0

* Thu Jun 30 2022 papoteur <papoteur> 4.34.0-1.mga9
+ Revision: 1866748
- new 4.34.0 for working with sphinx 5

* Fri Jun 24 2022 papoteur <papoteur> 4.32.0-3.mga9
+ Revision: 1866014
- Mass Rebuild for dependencies

* Tue Mar 29 2022 umeabot <umeabot> 4.32.0-2.mga9
+ Revision: 1832604
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 wally <wally> 4.32.0-1.mga9
+ Revision: 1774163
- new version 4.32.0
- skip doc build for now
+ tv <tv>
- Rebuild for python-3.10

* Thu May 27 2021 joequant <joequant> 4.30.0-1.mga9
+ Revision: 1728547
- update
- update 4.30.0

* Sat Mar 20 2021 daviddavid <daviddavid> 4.27.0-1.mga9
+ Revision: 1705801
- new version: 4.27.0

* Sat Mar 20 2021 daviddavid <daviddavid> 4.25.1-3.mga9
+ Revision: 1705466
- rebuild for python 3.9

* Fri Jan 08 2021 daviddavid <daviddavid> 4.25.1-2.mga8
+ Revision: 1669775
- add upstream patch to adapt friendclass to Doxygen 1.9

* Fri Dec 18 2020 joequant <joequant> 4.25.1-1.mga8
+ Revision: 1660780
- update to 4.25.1

* Wed Nov 11 2020 joequant <joequant> 4.23.0-2.mga8
+ Revision: 1644730
- disable regression tests

* Tue Nov 03 2020 joequant <joequant> 4.23.0-1.mga8
+ Revision: 1641888
- update to 4.23.0

* Wed Apr 22 2020 joequant <joequant> 4.16.0-1.mga8
+ Revision: 1571112
- fix deps
- add srpm macros
- imported package python-breathe

